> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete contact by ID

> Delete a contact by its unique identifier (UID). This performs a soft delete by setting the deleted_at timestamp.



## OpenAPI

````yaml DELETE /contacts/{id}
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /contacts/{id}:
    delete:
      description: >-
        Delete a contact by its unique identifier (UID). This performs a soft
        delete by setting the deleted_at timestamp.
      parameters:
        - in: header
          name: x-account-id
          description: Your account ID
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: id
          description: Contact unique identifier
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Contact successfully deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: ok
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Contact not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Contact not found
                  details:
                    type: string
                    example: No contact found with the provided UID
components:
  schemas:
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````